%define name	nil
%define title	NiL
%define version	000516
%define release 20mdk
%define prefix	%{_prefix}
%define summary	%{title} Isn't Liero
%define group	Games/Arcade
%define section	Amusement/Arcade
%define icon	%{name}.png

Summary:	%{summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		%{group}
Source:		http://dl.sf.net/nil/%{name}-%{version}.tar.bz2
Source10:	%{name}.16.png.bz2
Source11:	%{name}.32.png.bz2
Source12:	%{name}.48.png.bz2
Patch0:		nil-add-pkgdatadir.patch.bz2
Patch1:		nil-000516-i18ned-keys.patch.bz2
Patch2:		nil-remove-debug-printings.patch.bz2
Patch3: nil-000516-gcc31.patch.bz2
URL:		http://nil.sf.net/
BuildRequires:	libSDL-devel libSDL_mixer-devel XFree86-devel zlib-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires:	common-licenses

%description
The game itself can be described either as Quake in 2D or worms done right
(ie not turn based), the basic game play is kill kill kill, with a wide
selection of interesting weapons.

Porting apparently wasn't much of a priority for the authour, so I set
about reimplementing it on Linux.

%prep
%setup -q -n %{name}
%patch0 -p0
%patch1 -p1
%patch2 -p0
%patch3 -p0
# remove nasty no-newline-at-end-of-line, it bothers gcc-2.96
find . -name "*.h" -exec perl -pi -e '$_.="\n" if eof' {} \;

%build
cd nil
autoconf-2.13
automake-1.4 -a
%configure
make

%install
mkdir -p %{buildroot}{%{_bindir},%{_datadir}/nil}
cp nil/nil/nil %{buildroot}/%{_bindir}
cp -a gfx %{buildroot}/%{_datadir}/nil
rm -rf %{buildroot}/%{_datadir}/nil/gfx/{CVS,*/CVS,*/*/CVS,*/*/*/CVS}

mkdir -p %{buildroot}/%{_menudir}
cat << EOF > %{buildroot}/%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/%{name}" icon="%{icon}" \
  needs="x11" section="%{section}" title="%{title}" \
  longtitle="%{summary}"
EOF

mkdir -p %{buildroot}{%{_iconsdir},%{_liconsdir},%{_miconsdir}}
bzcat %{SOURCE10} > %{buildroot}%{_miconsdir}/%{icon}
bzcat %{SOURCE11} > %{buildroot}%{_iconsdir}/%{icon}
bzcat %{SOURCE12} > %{buildroot}%{_liconsdir}/%{icon}

rm -rf %{buildroot}%{_datadir}/nil/gfx/original/fonts/ttf

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README AUTHORS docs/*.txt docs/TODO
%{_bindir}/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_menudir}/%{name}
%{_miconsdir}/%{icon}
%{_iconsdir}/%{icon}
%{_liconsdir}/%{icon}

%changelog
* Fri Jul 09 2004 Michael Scherer <misc@mandrake.org> 000516-20mdk 
- rebuild for new gcc34

* Fri Sep  5 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 000516-19mdk
- rebuild

* Fri Aug 16 2002 Gtz Waschk <waschk@linux-mandrake.com> 000516-18mdk
- gcc 3.2-0.3mdk build

* Thu Aug  8 2002 Gtz Waschk <waschk@linux-mandrake.com> 000516-17mdk
- add documentation

* Wed Aug  7 2002 Gtz Waschk <waschk@linux-mandrake.com> 000516-16mdk
- gcc 3.2 build

* Sun Jul 21 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 000516-15mdk
- recompile against new vorbis stuff

* Wed May 29 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 000516-14mdk
- rebuild to link against latest libstdc++

* Mon Apr 29 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 000516-13mdk
- rebuild for new alsa

* Thu Jan 31 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 000516-12mdk
- xpm -> png icons

* Thu Jan 10 2002 Alexander SKwar <ASkwar@Linux-Mandrake.com> 000516-11mdk
- use png icons
- include documentation
- slightly redo RPM spec

* Tue Oct 16 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 000516-10mdk
- fix obsolete-tag Copyright

* Thu Jul 12 2001 Stefan van der Eijk <stefan@eijk.nu> 000516-9mdk
- BuildRequires:	libSDL_mixer-devel
- BuildRequires:	XFree86-devel
- BuildRequires:	zlib-devel

* Tue Jul  3 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 000516-8mdk
- rebuild

* Mon May 14 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 000516-7mdk
- new SDL

* Fri Jan 12 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 000516-6mdk
- remove ttf fonts

* Tue Jan  2 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 000516-5mdk
- rebuild for latest deps

* Wed Nov 29 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 000516-4mdk
- follow new lib policy of SDL

* Mon Nov 27 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 000516-3mdk
- provide 32x32 and 48x48 icons

* Fri Nov  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 000516-2mdk
- recompile against newest libstdc++

* Mon Oct  9 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 000516-1mdk
- first Mandrake Package

